Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.dale_uv.parser
Class Fehler

    java.lang.Object
      de.dale_uv.parser.Fehler

    public class Fehler

extends java.lang.Object

Version:
  $Revision: 1.17 $ $Date: 2007-03-16 17:55:13 $
Author:
  husmann, last modified by $Author: haehnel $

Field Summary
`static java.lang.String` | `FEHLERCODE_LAENGENFEHLER`
`static java.lang.String` | `FEHLERCODE_LAENGENFEHLER_ALT`
`static java.lang.String` | `FEHLERCODE_MERKMAL_NICHT_ANGEGEBEN_FEHLER`
`static java.lang.String` | `FEHLERCODE_TYPFEHLER`
`static java.lang.String` | `FEHLERCODE_TYPFEHLER_ALT`
`static java.lang.String` | `FEHLERCODE_UNGUELTIGESLAENDERKENNZEICHEN`
`static java.lang.String` | `FEHLERCODE_UNGUELTIGESLAENDERKENNZEICHEN_ALT`
`static java.lang.String` | `FEHLERCODE_WERTEBEREICHSFEHLER`
`static java.lang.String` | `FEHLERCODE_WERTEBEREICHSFEHLER_ALT`
`static int` | `FEHLERSTUFE_LAENGENFEHLER`
`static int` | `FEHLERSTUFE_MERKMAL_NICHT_ANGEGEBEN_FEHLER`
`static int` | `FEHLERSTUFE_TYPFEHLER`
`static int` | `FEHLERSTUFE_WERTEBEREICHSFEHLER`

Constructor Summary
`Fehler()` erzeugt ein leeres Fehlerobjekt

Method Summary
`java.lang.String` | `getAusnahmefehlerKlasse()`
`java.util.ArrayList` | `getAusnahmefehlerStacktrace()`
`java.lang.String` | `getAusnahmefehlertext()`
`java.lang.String` | `getFehlercode()` gibt den Fehlercode zurueck
`java.lang.String` | `getFehlerGewicht()` gibt das Fehlergewicht zurueck
`java.lang.String` | `getFehlerID()` gibt die FehlerID zurueck
`int` | `getFehlerInfoTyp()` gibt den FehlerInfoTyp zurueck
`int` | `getFehlerstufe()` gibt die Fehlerstufe zurueck
`java.lang.String` | `getFehlertext_Laengenfehler()` gibt den Fehlertext fuer einen Laengenfehler zurueck
`java.lang.String` | `getFehlertext_MerkmalNichtAngegeben()` gibt den Fehlertext zurueck, wenn das nicht angegeben wurde, aber angegeben sein muss
`java.lang.String` | `getFehlertext_Typfehler()` gibt den Fehlertext fuer einen Typfehler zurueck
`java.lang.String` | `getFehlertext_UngueltigesLaenderkennzeichenfehler()` gibt den Fehlertext fuer ein ungueltiges Laenderkennzeichen zurueck
`java.lang.String` | `getFehlertext_Wertebereichsfehler()` gibt den Fehlertext fuer einen Wertebereichsfehler zurueck
`java.lang.String` | `getFehlertextKurz()` gibt den FehlertextKurz zurueck
`java.lang.String` | `getFeldbeschriftung()` gibt die Feldbeschriftung zurueck
`java.lang.String` | `getFeldname()` gibt den Feldnamen zurueck
`java.lang.String` | `getMerkmalstyp()` gibt den Merkmalstyp zurueck
`java.lang.Integer` | `getPosition()`
`java.lang.String` | `getReferenzstruktur()` gibt die Referenzstruktur zurueck
`java.lang.String` | `getWertebereich()` gibt den Wertebereich zurueck
`long` | `getWertlaenge()` gibt die Wertlaenge zurueck
`boolean` | `isAusnahmefehler()`
`boolean` | `isKritisch()` Auslesen des Feldes isKritisch.
`void` | `setAusnahmefehler(java.lang.Throwable e)` Setzt den aufgetretenen Ausnahmefehler und markiert diesen Fehler als Ausnahmefehler
`void` | `setFehlercode(java.lang.String fehlercode)` setzt den Fehlercode
`void` | `setFehlerGewicht(java.lang.String fehlergewicht)` setzt das Fehlergewicht
`void` | `setFehlerID(java.lang.String fehlerID)` setzt die Fehlerstufe
`void` | `setFehlerInfoTyp(int fehlerInfoTyp)` setzt den FehlerInfoTyp
`void` | `setFehlerstufe(int fehlerstufe)` setzt die Fehlerstufe
`void` | `setFehlertextKurz(java.lang.String fehlertext_kurz)` setzt den FehlertextKurz
`void` | `setFeldbeschriftung(java.lang.String feldbeschriftung)` setzt die Feldbeschriftung
`void` | `setFeldname(java.lang.String feldname)` setzt den Feldnamen
`void` | `setKritisch(boolean isKritisch)` Setzen des Feldes isKritisch.
`void` | `setMerkmalstyp(java.lang.String merkmalstyp)` setzt den Merkmalstyp
`void` | `setPosition(java.lang.Integer position)`
`void` | `setReferenzstruktur(java.lang.String referenzstruktur)` setzt die Referenzstruktur
`void` | `setWertebereich(java.lang.String wertebereich)` setzt den Wertebereich
`void` | `setWertlaenge(long wertlaenge)` setzt die Wertlaenge

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEHLERCODE_LAENGENFEHLER

    public static final java.lang.String FEHLERCODE_LAENGENFEHLER

See Also:
  Constant Field Values

### FEHLERSTUFE_LAENGENFEHLER

    public static final int FEHLERSTUFE_LAENGENFEHLER

See Also:
  Constant Field Values

### FEHLERCODE_MERKMAL_NICHT_ANGEGEBEN_FEHLER

    public static final java.lang.String FEHLERCODE_MERKMAL_NICHT_ANGEGEBEN_FEHLER

See Also:
  Constant Field Values

### FEHLERSTUFE_MERKMAL_NICHT_ANGEGEBEN_FEHLER

    public static final int FEHLERSTUFE_MERKMAL_NICHT_ANGEGEBEN_FEHLER

See Also:
  Constant Field Values

### FEHLERCODE_TYPFEHLER

    public static final java.lang.String FEHLERCODE_TYPFEHLER

See Also:
  Constant Field Values

### FEHLERSTUFE_TYPFEHLER

    public static final int FEHLERSTUFE_TYPFEHLER

See Also:
  Constant Field Values

### FEHLERCODE_WERTEBEREICHSFEHLER

    public static final java.lang.String FEHLERCODE_WERTEBEREICHSFEHLER

See Also:
  Constant Field Values

### FEHLERSTUFE_WERTEBEREICHSFEHLER

    public static final int FEHLERSTUFE_WERTEBEREICHSFEHLER

See Also:
  Constant Field Values

### FEHLERCODE_UNGUELTIGESLAENDERKENNZEICHEN

    public static final java.lang.String FEHLERCODE_UNGUELTIGESLAENDERKENNZEICHEN

See Also:
  Constant Field Values

### FEHLERCODE_LAENGENFEHLER_ALT

    public static final java.lang.String FEHLERCODE_LAENGENFEHLER_ALT

See Also:
  Constant Field Values

### FEHLERCODE_TYPFEHLER_ALT

    public static final java.lang.String FEHLERCODE_TYPFEHLER_ALT

See Also:
  Constant Field Values

### FEHLERCODE_WERTEBEREICHSFEHLER_ALT

    public static final java.lang.String FEHLERCODE_WERTEBEREICHSFEHLER_ALT

See Also:
  Constant Field Values

### FEHLERCODE_UNGUELTIGESLAENDERKENNZEICHEN_ALT

    public static final java.lang.String FEHLERCODE_UNGUELTIGESLAENDERKENNZEICHEN_ALT

See Also:
  Constant Field Values

Constructor Detail

### Fehler

    public Fehler()

  erzeugt ein leeres Fehlerobjekt

Method Detail

### getFehlertext_Laengenfehler

    public java.lang.String getFehlertext_Laengenfehler()

  gibt den Fehlertext fuer einen Laengenfehler zurueck

  Returns:
    Fehlertext fuer einen Laengenfehler

### getFehlertext_MerkmalNichtAngegeben

    public java.lang.String getFehlertext_MerkmalNichtAngegeben()

  gibt den Fehlertext zurueck, wenn das nicht angegeben wurde, aber angegeben sein muss

  Returns:
    Fehlertext fuer Feld nicht angegeben

### getFehlertext_Typfehler

    public java.lang.String getFehlertext_Typfehler()

  gibt den Fehlertext fuer einen Typfehler zurueck

  Returns:
    Fehlertext fuer einen Typfehler

### getFehlertext_Wertebereichsfehler

    public java.lang.String getFehlertext_Wertebereichsfehler()

  gibt den Fehlertext fuer einen Wertebereichsfehler zurueck

  Returns:
    Fehlertext fuer einen Wertebereichsfehler

### getFehlertext_UngueltigesLaenderkennzeichenfehler

    public java.lang.String getFehlertext_UngueltigesLaenderkennzeichenfehler()

  gibt den Fehlertext fuer ein ungueltiges Laenderkennzeichen zurueck

  Returns:
    Fehlertext fuer ein ungueltiges Laenderkennzeichen

### getFehlercode

    public java.lang.String getFehlercode()

  gibt den Fehlercode zurueck

  Returns:
    Fehlercode

### setFehlercode

    public void setFehlercode(java.lang.String fehlercode)

  setzt den Fehlercode

  Parameters:
    `fehlercode` - Der zu setzende Fehlercode

### getFehlerGewicht

    public java.lang.String getFehlerGewicht()

  gibt das Fehlergewicht zurueck

  Returns:
    Fehlergewicht

### setFehlerGewicht

    public void setFehlerGewicht(java.lang.String fehlergewicht)

  setzt das Fehlergewicht

  Parameters:
    `fehlergewicht` - Das zu setzende Fehlergewicht

### getFehlerID

    public java.lang.String getFehlerID()

  gibt die FehlerID zurueck

  Returns:
    FehlerID

### setFehlerID

    public void setFehlerID(java.lang.String fehlerID)

  setzt die Fehlerstufe

  Parameters:
    `fehlerID` - Die zu setzende Fehlerstufe

### getFehlerstufe

    public int getFehlerstufe()

  gibt die Fehlerstufe zurueck

  Returns:
    Fehlerstufe

### setFehlerstufe

    public void setFehlerstufe(int fehlerstufe)

  setzt die Fehlerstufe

  Parameters:
    `fehlerstufe` - Die zu setzende Fehlerstufe

### getFehlertextKurz

    public java.lang.String getFehlertextKurz()

  gibt den FehlertextKurz zurueck

  Returns:
    FehlertextKurz

### setFehlertextKurz

    public void setFehlertextKurz(java.lang.String fehlertext_kurz)

  setzt den FehlertextKurz

  Parameters:
    `fehlertext_kurz` - Den zu setzende FehlertextKurz

### getFeldbeschriftung

    public java.lang.String getFeldbeschriftung()

  gibt die Feldbeschriftung zurueck

  Returns:
    Feldbeschriftung

### setFeldbeschriftung

    public void setFeldbeschriftung(java.lang.String feldbeschriftung)

  setzt die Feldbeschriftung

  Parameters:
    `feldbeschriftung` - Die zu setzende Feldbeschriftung

### getReferenzstruktur

    public java.lang.String getReferenzstruktur()

  gibt die Referenzstruktur zurueck

  Returns:
    Referenzstruktur

### setReferenzstruktur

    public void setReferenzstruktur(java.lang.String referenzstruktur)

  setzt die Referenzstruktur

  Parameters:
    `referenzstruktur` - Die zu setzende Referenzstruktur

### getFehlerInfoTyp

    public int getFehlerInfoTyp()

  gibt den FehlerInfoTyp zurueck

  Returns:
    FehlerInfoTyp

### setFehlerInfoTyp

    public void setFehlerInfoTyp(int fehlerInfoTyp)

  setzt den FehlerInfoTyp

  Parameters:
    `fehlerInfoTyp` - Der zu setzende FehlerInfoTyp

### getWertlaenge

    public long getWertlaenge()

  gibt die Wertlaenge zurueck

  Returns:
    wertlaenge.

### setWertlaenge

    public void setWertlaenge(long wertlaenge)

  setzt die Wertlaenge

  Parameters:
    `wertlaenge` - Die zu setzende Wertlaenge

### getWertebereich

    public java.lang.String getWertebereich()

  gibt den Wertebereich zurueck

  Returns:
    Wertebereich

### setWertebereich

    public void setWertebereich(java.lang.String wertebereich)

  setzt den Wertebereich

  Parameters:
    `wertebereich` - Der zu setzende Wertebereich

### getMerkmalstyp

    public java.lang.String getMerkmalstyp()

  gibt den Merkmalstyp zurueck

  Returns:
    Merkmalstyp

### setMerkmalstyp

    public void setMerkmalstyp(java.lang.String merkmalstyp)

  setzt den Merkmalstyp

  Parameters:
    `merkmalstyp` - Merkmalstyp

### isAusnahmefehler

    public boolean isAusnahmefehler()

  Returns:
    isAusnahmefehler.

### setAusnahmefehler

    public void setAusnahmefehler(java.lang.Throwable e)

  Setzt den aufgetretenen Ausnahmefehler und markiert diesen Fehler als Ausnahmefehler

  Parameters:
    `e` - Der aufgetretene Ausnahmefehler.

### getAusnahmefehlerStacktrace

    public java.util.ArrayList getAusnahmefehlerStacktrace()

  Returns:
    ausnahmefehlerStacktrace.

### getAusnahmefehlertext

    public java.lang.String getAusnahmefehlertext()

  Returns:
    ausnahmefehlertext.

### getAusnahmefehlerKlasse

    public java.lang.String getAusnahmefehlerKlasse()

  Returns:
    ausnahmefehlerKlasse.

### setFeldname

    public void setFeldname(java.lang.String feldname)

  setzt den Feldnamen

  Parameters:
    `feldname` - Feldname

### getFeldname

    public java.lang.String getFeldname()

  gibt den Feldnamen zurueck

  Returns:
    feldname

### getPosition

    public java.lang.Integer getPosition()

  Returns:
    the position

### setPosition

    public void setPosition(java.lang.Integer position)

  Parameters:
    `position` - the position to set

### isKritisch

    public boolean isKritisch()

  Auslesen des Feldes isKritisch.

  Returns:
    Liefert isKritisch.

### setKritisch

    public void setKritisch(boolean isKritisch)

  Setzen des Feldes isKritisch.

  Parameters:
    `isKritisch` - Neuer Wert von isKritisch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD